# Update specialty for a provider Updates a specific specialty for a provider. The same taxonomy cannot be used across multiple specialties for the same provider. Only one Primary and one Secondary specialty is allowed per provider. Endpoint: PATCH /providers/{providerId}/info/specialties/{id} Version: 26.4.0.2931 Security: Bearer ## Path parameters: - `providerId` (string, required) - `id` (string, required) ## Request fields (application/json): - `type` (string) Type of specialty. Can be Primary (only one allowed), Secondary (only one allowed), or Additional (multiple allowed). When changing the type, validation ensures only one Primary and one Secondary specialty exists per provider. Enum: "Primary", "Secondary", "Additional" - `taxonomyId` (string) Identifier of the taxonomy associated with this specialty. Must reference a valid taxonomy. The same taxonomy cannot be used across multiple specialties for the same provider. ## Response 200 fields (application/json): - `lastUpdatedAt` (string) The date and time when the specialty was created or last modified. - `id` (string) Unique identifier associated with this specialty. - `type` (string) Type of specialty. Can be Primary (only one allowed), Secondary (only one allowed), or Additional (multiple allowed). Enum: "Primary", "Secondary", "Additional" - `taxonomyId` (string) Identifier of the taxonomy associated with this specialty. The same taxonomy cannot be used across multiple specialties for the same provider. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 500 fields